org.red5.io.utils

## Class HexCharset

- java.lang.Object
- - java.nio.charset.Charset
  - - org.red5.io.utils.HexCharset

All Implemented Interfaces:
  Comparable<Charset>

    public class HexCharset
    extends Charset

This was borrowed from the Soupdragon base64 library.

Codec to translate between hex coding and byte string.

Hex output is capital if the char set name is given in capitals.

hex:nn used as a charset name inserts \n after every nnth character.

Author:
  Malcolm McMahon

### Constructor Summary

Constructors
Constructor and Description
`HexCharset(boolean caps)` Creates a new instance of HexCharset
`HexCharset(boolean caps, int measure)` Construct the charset

### Method Summary

Methods
`boolean` `contains(Charset cs)` Tells whether or not this charset contains the given charset.
`CharsetDecoder` `newDecoder()` Constructs a new decoder for this charset.
`CharsetEncoder` `newEncoder()` Constructs a new encoder for this charset.

### Methods inherited from class java.nio.charset.Charset

`aliases, availableCharsets, canEncode, compareTo, decode, defaultCharset, displayName, displayName, encode, encode, equals, forName, hashCode, isRegistered, isSupported, name, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HexCharset

    public HexCharset(boolean caps)

Creates a new instance of HexCharset

Parameters:
  `caps` - true for A-F, false for a-f

#### HexCharset

    public HexCharset(boolean caps,
              int measure)

Construct the charset

Parameters:
  `caps` - true for A-F, false for a-f
  `measure` - Line width for decoding

### Method Detail

#### newEncoder

    public CharsetEncoder newEncoder()

Constructs a new encoder for this charset.

Specified by:
  `newEncoder` in class `Charset`
Returns:
  A new encoder for this charset

#### newDecoder

    public CharsetDecoder newDecoder()

Constructs a new decoder for this charset.

Specified by:
  `newDecoder` in class `Charset`
Returns:
  A new decoder for this charset

#### contains

    public boolean contains(Charset cs)

Tells whether or not this charset contains the given charset.

A charset C is said to contain a charset D if, and only if, every character representable in D is also representable in C. If this relationship holds then it is guaranteed that every string that can be encoded in D can also be encoded in C without performing any replacements.

That C contains D does not imply that each character representable in C by a particular byte sequence is represented in D by the same byte sequence, although sometimes this is the case.

Every charset contains itself.

This method computes an approximation of the containment relation: If it returns `true` then the given charset is known to be contained by this charset; if it returns `false`, however, then it is not necessarily the case that the given charset is not contained in this charset.

Specified by:
  `contains` in class `Charset`
Returns:
  `true` if, and only if, the given charset is contained in this charset